svn commit: samba r8010 - in branches/SAMBA_4_0/source/lib/ldb/tests: .

tridge at samba.org tridge at samba.org
Thu Jun 30 03:56:56 GMT 2005


Author: tridge
Date: 2005-06-30 03:56:55 +0000 (Thu, 30 Jun 2005)
New Revision: 8010

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8010

Log:
added testing of wildcard attributes

Modified:
   branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh


Changeset:
Modified: branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh
===================================================================
--- branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh	2005-06-30 03:32:43 UTC (rev 8009)
+++ branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh	2005-06-30 03:56:55 UTC (rev 8010)
@@ -74,5 +74,25 @@
 checkcount 1 '(i=0x100)'
 checkcount 1 '(i=256)'
 
+echo "adding j"
+cat <<EOF | bin/ldbmodify || exit 1
+dn: cn=t1,cn=TEST
+changetype: modify
+add: j
+j: 0x100
+EOF
+checkcount 1 '(i=0x100)'
+checkcount 0 '(i=256)'
 
+echo "Adding wildcard attribute"
+echo "marking i as INTEGER"
+cat <<EOF | bin/ldbmodify || exit 1
+dn: @ATTRIBUTES
+changetype: modify
+add: *
+*: INTEGER
+EOF
+checkcount 1 '(i=0x100)'
+checkcount 1 '(i=256)'
+
 rm -f $LDB_URL



More information about the samba-cvs mailing list